///////////////////////
//     Metadata      //
///////////////////////
export const info = {
    // Basics
    name: 'App Name Here',
    company: 'Company Name or Author',
    synopsis: '',
    description: '',

    // Data
    version: '1.0.0',
    id: 'org.company-name.app-name-here', // extension.domain.appname
    
    // Sources
    website: "https://mywebsite.net/",
    support: "https://mywebsite.net/help/",
    source_code: "https://github.com/user/repo"
}

////////////////////////////////
//     App Configuration      //
////////////////////////////////
export const config = {
    // Notifications
    notificationType: "Native", // "Custom" "Native"

    // Pushy Notifications
    pushyAppId: "63e9212d7446e48a2a0e8ec0",

    // Crash Reporter
    crashReportServer: "https://nexuspolestar.bugsplat.com/post/electron/crash.php"
}

export const window = {
    width: 1200,
    height: 800,
    minWidth: 400,
    minHeight: 400,
}

////////////////////
//     Theme      //
////////////////////
export const sidebar = {
    headerFontSize: "14px",
    tabFontSize: "16px",
    tabHeight: "24px",
    tabPositions: "Normal", // "Normal" "Centered"
    size: "Normal", // "Normal" "Compact"
    enableToggle: false,
    enableSearch: false,
}

export const splash = {
    loadingIndicator: "Spinner", // "Spinner" "ProgressBar" "JumpingBalls" "GlowingBars"
    backgroundColor: "#232323",
}

///////////////////////////////
//     Electron Builder      //
///////////////////////////////
export const update = {
    channel: "latest", // Branch: "latest" "beta" "alpha"
    url: '' // Point to url where build files will be stored on your server.
}

export const macos = {
    category:  'public.app-category.utilities' // https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/LaunchServicesKeys.html#//apple_ref/doc/uid/TP40009250-SW8
}

export const linux = {
    category: 'Utilities', // https://specifications.freedesktop.org/menu-spec/menu-spec-1.0.html/category-registry
}

export const windows = {
    // NSIS (.exe setup)
    requireAdmin: false, // If you app needs to run admin tasks, which is shouldn't need to, set this to "true"
    silent: false, // Ignore NSIS options below if "true"
    allowToChangeInstallationDirectory: true, // Allow users to install your app anywhere
    displayLanguageSelector: true,
    createDesktopShortcut: false,
    deleteAppDataOnUninstall: true,
    
    // Microsoft Store
    identityName: '00000Company.AppName',
    publisher: 'CN=000A00A0-A00A-0A00-AAA0-0AAA00A000AA'
}